/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks include file
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this include file. It is generated from DrBase repository.
 *
 *  Built on: 2021-01-29 15:48:21Z
 *****************************************************************************/

#ifndef __RSCMWINM_ATTRIBUTES_HEADER
#define __RSCMWINM_ATTRIBUTES_HEADER

#include "rscore.h"

#if defined(__cplusplus) || defined(__cplusplus__)
extern "C" {
#endif

/*****************************************************************************
 *- Read Callbacks ----------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwinm_OperatingBand_ReadCallback(ViSession          io,
                                             ViConstString      repCapName,
                                             RsCoreAttributePtr attr);

/*****************************************************************************
 *- Write Callbacks ---------------------------------------------------------*
 *****************************************************************************/
ViStatus rscmwinm_OperatingBand_WriteCallback(ViSession          io,
                                              ViConstString      repCapName,
                                              RsCoreAttributePtr attr,
                                              void               *value);

/*****************************************************************************
 *- Check Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Check Status Callbacks ---------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Coerce Callbacks --------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Table Callbacks ---------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- User Callbacks ----------------------------------------------------------*
 *****************************************************************************/

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRangeTable rscmwinm_rngRoutingScenario;
extern RsCoreRangeTable rscmwinm_rngInputExternalAttenutation;
extern RsCoreRangeTable rscmwinm_rngOperatingBand;
extern RsCoreRangeTable rscmwinm_rngCenterFrequency;
extern RsCoreRangeTable rscmwinm_rngFrequencyOffset;
extern RsCoreRangeTable rscmwinm_rngMixerLevelOffset;
extern RsCoreRangeTable rscmwinm_rngRepetitionMode;
extern RsCoreRangeTable rscmwinm_rngStopCondition;
extern RsCoreRangeTable rscmwinm_rngMeasMode;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementNumberOfMeasureSlots;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementSubcarrierSpacing;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementNPUSCHFormat;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementNumberOfResourceUnits;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementNumberOfRepetitions;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementPhysicalCellID;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementDeltaSequenceShift;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementModulationScheme;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementStatisticCount;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementTriggerSlope;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementTriggerThreshold;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementTriggerDelay;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementTriggerTimeout;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementTriggerGap;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementSpectrumOBWLimit;
extern RsCoreRangeTable rscmwinm_rngMEvalListOfflineIndex;
extern RsCoreRangeTable rscmwinm_rngMEvalListConnector;
extern RsCoreRangeTable rscmwinm_rngMEvalListMode;
extern RsCoreRangeTable rscmwinm_rngMEvalExclusionPeriod;
extern RsCoreRangeTable rscmwinm_rngBand;
extern RsCoreRangeTable rscmwinm_rngMEvalMeasCMWSConnector;
extern RsCoreRangeTable rscmwinm_rngMultiEvalMeasurementFSR;
extern RsCoreRangeTable rscmwinm_rngOBWMode;
extern RsCoreRangeTable rscmwinm_rngSubcarriers;
extern RsCoreRangeTable rscmwinm_rngNewAttribute;

/*****************************************************************************
 *- Attributes --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_RANGE_CHECK;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_QUERY_INSTRUMENT_STATUS;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CACHE;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SIMULATE;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_RECORD_COERCIONS;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_INTERCHANGE_CHECK;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPY;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_USE_SPECIFIC_SIMULATION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_PREFIX;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_LOCATOR;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_VENDOR;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_REVISION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_GROUP_CAPABILITIES;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_FUNCTION_CAPABILITIES;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CHANNEL_COUNT;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_DRIVER_SETUP;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_INSTRUMENT_MANUFACTURER;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_INSTRUMENT_MODEL;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_OPTIONS_LIST;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_IO_RESOURCE_DESCRIPTOR;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_LOGICAL_NAME;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_PRIMARY_ERROR;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SECONDARY_ERROR;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_ERROR_ELABORATION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_VISA_RM_SESSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_IO_SESSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_IO_SESSION_TYPE;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CLASS_DRIVER_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_ENGINE_MAJOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_ENGINE_MINOR_VERSION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_ENGINE_REVISION;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_OPC_CALLBACK;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_CHECK_STATUS_CALLBACK;
extern RsCoreAttribute g_RSCMWINM_RS_ATTR_OPC_TIMEOUT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MEASURE_PROTOCOL_TEST;
extern RsCoreAttribute g_RSCMWINM_ATTR_ROUTING_SCENARIO;
extern RsCoreAttribute g_RSCMWINM_ATTR_INPUT_EXTERNAL_ATTENUTATION;
extern RsCoreAttribute g_RSCMWINM_ATTR_ANALYZER_OPERATING_BAND;
extern RsCoreAttribute g_RSCMWINM_ATTR_ANALYZER_CENTER_FREQUENCY;
extern RsCoreAttribute g_RSCMWINM_ATTR_ANALYZER_FREQUENCY_OFFSET;
extern RsCoreAttribute g_RSCMWINM_ATTR_ANALYZER_EXPECTED_NOMINAL_POWER;
extern RsCoreAttribute g_RSCMWINM_ATTR_ANALYZER_USER_MARGIN;
extern RsCoreAttribute g_RSCMWINM_ATTR_ANALYZER_MIXER_LEVEL_OFFSET;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_EVM;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_MAGNITUDE_ERROR;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_PHASE_ERROR;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_INBAND_EMISSIONS;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_IQ_CONSTELLATION_DIAGRAM;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_TX_MEASUREMENT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_SPECTRUM_EMISSION_MASK;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_ACLR;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_POWER_MONITOR;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_RESULT_POWER_DYNAMICS;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_INIT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_ABORT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_STOP;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TIMEOUT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_REPETITION_MODE;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_STOP_CONDITION;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_MEAS_MODE;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_MEASURE_ON_EXCEPTION;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_NUMBER_OF_MEASURE_SLOTS;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_SUBCARRIER_SPACING;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_NPUSCH_FORMAT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_NUMBER_OF_RESOURCE_UNITS;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_NUMBER_OF_REPETITIONS;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_PHYSICAL_CELL_ID;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_DELTA_SEQUENCE_SHIFT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_FSR;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_MODULATION_SCHEME;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_MODULATION_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_EMISSION_MASK_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_ACLR_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_POWER_STATISTIC_COUNT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LEADING;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LAGGING;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_OBW_MODE;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SOURCE;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_SLOPE;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_THRESHOLD;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_DELAY;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT_ENABLED;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_TIMEOUT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_TRIGGER_GAP;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_OBW_LIMIT_ENABLED;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_SPECTRUM_OBW_LIMIT;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_ENABLED;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_OFFLINE_MODE_DISABLED;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_OFFLINE_MODE_INDEX;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_CONNECTOR_MODE;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_CMWS_CONNECTOR;
extern RsCoreAttribute g_RSCMWINM_ATTR_MULTI_EVAL_MEASUREMENT_LIST_MODE;
extern RsCoreAttribute g_RSCMWINM_ATTR_SYSTEM_VERSION;
extern RsCoreAttribute g_RSCMWINM_ATTR_SYSTEM_ERROR;
extern RsCoreAttribute g_RSCMWINM_ATTR_SYSTEM_ALL_ERRORS;
extern RsCoreAttribute g_RSCMWINM_ATTR_SYSTEM_PRESET;
extern RsCoreAttribute g_RSCMWINM_ATTR_ID_QUERY_RESPONSE;
extern RsCoreAttribute g_RSCMWINM_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS;

/*****************************************************************************
 *- Repeated Capabilities Table --------------------------------------------------------------*
 *****************************************************************************/
extern RsCoreRepCap rscmwinm_RsCoreRepCapTable[];

/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/
extern RsCoreAttributePtr rscmwinm_RsCoreAttributeList[];

/****************************************************************************
 *---------------------------- End Include File ----------------------------*
 ****************************************************************************/
#if defined(__cplusplus) || defined(__cplusplus__)
}
#endif
#endif /* __RSCMWINM_ATTRIBUTES_HEADER */
