/*****************************************************************************
 *  Rohde&Schwarz Instrument Driver Specific Attribute callbacks
 *
 *  WARNING: Do not add to, delete from, or otherwise modify the contents
 *           of this source file. It is generated from DrBase repository.
 *
 *  Built on: 2021-01-29 17:15:51Z
 *****************************************************************************/

#include "rscmwins.h"

/*****************************************************************************
 *- Repeated Capabilities ---------------------------------------------------*
 *****************************************************************************/

RsCoreRepCap rscmwins_RsCoreRepCapTable[] =
    {
/*
        {
        repCapName      ... Repeated capability name, e.g. "Channel"
        identifiers     ... Repeated capability identifiers (comma separated values), e.g. "Ch1,Ch2,Ch3"
        cmdValues       ... Command values (comma separated values), e.g. "1,2,3"
        },
*/

       {
        "instance",
        "i1,i2,i3,i4,i5,i6,i7,i8,i9,i10,i11,i12,i13,i14,i15,i16",
        "1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16"
       },
       {
        "format",
        "f1,f2",
        "1,2"
       },
       {
        "IPVersion",
        "IPV4,IPV6",
        "4,6"
       },
         NULL
    };

/*****************************************************************************
 *- Range Tables ------------------------------------------------------------*
 *****************************************************************************/

static RsCoreRangeTableEntry rscmwins_rngPhysCellCarrPositionEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */95,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellCarrPosition =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellCarrPositionEntries
};

static RsCoreRangeTableEntry rscmwins_rngMCCEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */999,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngMCC =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngMCCEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellIDEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */503,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellID =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellIDEntries
};

static RsCoreRangeTableEntry rscmwins_rngTACEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngTAC =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngTACEntries
};

static RsCoreRangeTableEntry rscmwins_rngLocalTimeZoneOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-19.75,
      /* maxValue           = */19.75,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngLocalTimeZoneOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"h",
  /* rangeValues = */rscmwins_rngLocalTimeZoneOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngTimerOutofSyncEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */60,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngTimerOutofSync =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwins_rngTimerOutofSyncEntries
};

static RsCoreRangeTableEntry rscmwins_rngTimerAdditionalT3412Entries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */35712000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngTimerAdditionalT3412 =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngTimerAdditionalT3412Entries
};

static RsCoreRangeTableEntry rscmwins_rngRRCTimerEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngRRCTimer =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwins_rngRRCTimerEntries
};

static RsCoreRangeTableEntry rscmwins_rngAttenuationEntries[] =
{
  {
      /* discreteOrMinValue = */-50,
      /* maxValue           = */90,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngAttenuation =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwins_rngAttenuationEntries
};

static RsCoreRangeTableEntry rscmwins_rngENPModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MAN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ULPC",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngENPMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngENPModeEntries
};

static RsCoreRangeTableEntry rscmwins_rngMixerLevelOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-10,
      /* maxValue           = */10,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngMixerLevelOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dB",
  /* rangeValues = */rscmwins_rngMixerLevelOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngNrsPowerEntries[] =
{
  {
      /* discreteOrMinValue = */-60,
      /* maxValue           = */50,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNrsPower =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwins_rngNrsPowerEntries
};

static RsCoreRangeTableEntry rscmwins_rngPIRPowerEntries[] =
{
  {
      /* discreteOrMinValue = */-120,
      /* maxValue           = */-90,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPIRPower =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwins_rngPIRPowerEntries
};

static RsCoreRangeTableEntry rscmwins_rngP0NominalPUSCHEntries[] =
{
  {
      /* discreteOrMinValue = */-126,
      /* maxValue           = */24,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngP0NominalPUSCH =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwins_rngP0NominalPUSCHEntries
};

static RsCoreRangeTableEntry rscmwins_rngNominalPowerEntries[] =
{
  {
      /* discreteOrMinValue = */-50,
      /* maxValue           = */34,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNominalPower =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwins_rngNominalPowerEntries
};

static RsCoreRangeTableEntry rscmwins_rngUEPowerEntries[] =
{
  {
      /* discreteOrMinValue = */-30,
      /* maxValue           = */33,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngUEPower =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"dBm",
  /* rangeValues = */rscmwins_rngUEPowerEntries
};

static RsCoreRangeTableEntry rscmwins_rngRRCStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IDLE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngRRCState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngRRCStateEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigurePSActionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DISC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SMS",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DET",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RES",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SUSP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigurePSAction =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConfigurePSActionEntries
};

static RsCoreRangeTableEntry rscmwins_rngRFExtTimeDelayEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */20.0e-6,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngRFExtTimeDelay =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngRFExtTimeDelayEntries
};

static RsCoreRangeTableEntry rscmwins_rngOperatingBandEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDEF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB17",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB18",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB19",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB20",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB21",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB22",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB24",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB25",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB26",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB27",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB28",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */25,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB30",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */26,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB31",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */27,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB65",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */28,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB66",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */29,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB68",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */30,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB70",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */31,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB71",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */32,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB72",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */33,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB73",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */34,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB74",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */35,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OB85",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngOperatingBand =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngOperatingBandEntries
};

static RsCoreRangeTableEntry rscmwins_rngRFFrequencyOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */-100.0e+3,
      /* maxValue           = */100.0e+3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngRFFrequencyOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngRFFrequencyOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngPathlossCompAlphaEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPathlossCompAlpha =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPathlossCompAlphaEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellDuplexModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FDD",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellDuplexMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellDuplexModeEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysCellSubcSpacingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S3K75",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S15K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellSubcSpacing =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellSubcSpacingEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellOperationModeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SALM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"GBOP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IBOP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellOperationMode =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellOperationModeEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellBandwidthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B030",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B050",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B100",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B150",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B200",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellBandwidth =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellBandwidthEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysCellControlRegionSizeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CRS1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CRS2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CRS3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellControlRegionSize =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellControlRegionSizeEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellPowerOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellPowerOffset =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellPowerOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysCellInbandPCIEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SAME",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DIFF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellInbandPCI =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellInbandPCIEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhyslCellGuardBandPositionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"LOW",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhyslCellGuardBandPosition =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhyslCellGuardBandPositionEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysCellPowerRampingEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S6",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellPowerRamping =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellPowerRampingEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysCellPreambleFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellPreambleFormat =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellPreambleFormatEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysCellMaxTransmissionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"T50",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysCellMaxTransmissions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysCellMaxTransmissionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngMNCDigitsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"THR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngMNCDigits =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngMNCDigitsEntries
};

static RsCoreRangeTableEntry rscmwins_rngNetworkSecurityAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NULL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"S3G",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"AES",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNetworkSecurityAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNetworkSecurityAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwins_rngTimerT3324Entries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */11160,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngTimerT3324 =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"s",
  /* rangeValues = */rscmwins_rngTimerT3324Entries
};

static RsCoreRangeTableEntry rscmwins_rngDaylightSavingTimeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P1H",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P2H",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDaylightSavingTime =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDaylightSavingTimeEntries
};

static RsCoreRangeTableEntry rscmwins_rngNetworkTimeSourceEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CMWT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DATE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNetworkTimeSource =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNetworkTimeSourceEntries
};

static RsCoreRangeTableEntry rscmwins_rngNetworkSyncZoneEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"Z1",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNetworkSyncZone =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNetworkSyncZoneEntries
};

static RsCoreRangeTableEntry rscmwins_rngNetworkSyncOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1.0e-3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNetworkSyncOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNetworkSyncOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngConnectionTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DAPP",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConnectionType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConnectionTypeEntries
};

static RsCoreRangeTableEntry rscmwins_rngIPVersionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPV4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPV6",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngIPVersion =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngIPVersionEntries
};

static RsCoreRangeTableEntry rscmwins_rngCIoTEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CPL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UPL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngCIoT =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngCIoTEntries
};

static RsCoreRangeTableEntry rscmwins_rngDataApplicationIPVersionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPV4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPV6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"IPV46",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDataApplicationIPVersion =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDataApplicationIPVersionEntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedulingTypeEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ULRM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DLRM",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UDEF",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedulingType =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedulingTypeEntries
};

static RsCoreRangeTableEntry rscmwins_rngDefaultPagingCycleEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P1K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDefaultPagingCycle =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDefaultPagingCycleEntries
};

static RsCoreRangeTableEntry rscmwins_rngPCCHConfignBEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N4T",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2T",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NT1K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPCCHConfignB =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPCCHConfignBEntries
};

static RsCoreRangeTableEntry rscmwins_rngModificationPeriodCoefficientEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"C128",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngModificationPeriodCoefficient =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngModificationPeriodCoefficientEntries
};

static RsCoreRangeTableEntry rscmwins_rngPagingTimeWindowEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W2K56",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W5K12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W7K68",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W10K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W12K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W15K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W17K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W20K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W23K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W25K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W28K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W30K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W33K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W35K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W38K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W40K",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPagingTimeWindow =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPagingTimeWindowEntries
};

static RsCoreRangeTableEntry rscmwins_rngCycleLengthEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L2K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L4K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L8K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L16K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L32K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L65K",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L0M1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L0M2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L0M5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"L1M",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngCycleLength =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngCycleLengthEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDSubcarriersEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SC1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SC3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SC6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SC12",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDSubcarriers =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDSubcarriersEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDMCSIndexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"MI13",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDMCSIndex =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDMCSIndexEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDResourceUnitsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU01",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU02",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU03",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU04",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU05",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU06",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU08",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NRU10",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDResourceUnits =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDResourceUnitsEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDRepetitionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NR128",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDRepetitions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDRepetitionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDModulationEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"QPSK",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"BPSK",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDModulation =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDModulationEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDSubframesEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF01",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF02",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF03",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF04",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF05",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF06",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF08",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NSF10",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDSubframes =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDSubframesEntries
};

static RsCoreRangeTableEntry rscmwins_rngUserPatternEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DLUL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngUserPattern =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngUserPatternEntries
};

static RsCoreRangeTableEntry rscmwins_rngBLERStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RUN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RDY",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngBLERState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngBLERStateEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDSyncStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PEND",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ADJ",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDSyncState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDSyncStateEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDResourceStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"QUE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ACT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INV",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDResourceState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDResourceStateEntries
};

static RsCoreRangeTableEntry rscmwins_rngBLERRepetitionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SING",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngBLERRepetition =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngBLERRepetitionEntries
};

static RsCoreRangeTableEntry rscmwins_rngBLERSamplesEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */500000,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngBLERSamples =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngBLERSamplesEntries
};

static RsCoreRangeTableEntry rscmwins_rngBLERAlgorithmEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERC1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERC2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERC3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERC4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngBLERAlgorithm =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngBLERAlgorithmEntries
};

static RsCoreRangeTableEntry rscmwins_rngDNDEventLogCategoryEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"INFO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"WARN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ERR",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONT",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDNDEventLogCategory =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDNDEventLogCategoryEntries
};

static RsCoreRangeTableEntry rscmwins_rngNoYesEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"YES",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNoYes =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNoYesEntries
};

static RsCoreRangeTableEntry rscmwins_rngTransferCategoryEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NB1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NB2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngTransferCategory =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngTransferCategoryEntries
};

static RsCoreRangeTableEntry rscmwins_rngROHCContextSessionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CS2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CS4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CS8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CS12",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngROHCContextSessions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngROHCContextSessionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngPSStateEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ATT",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CEST",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DISC",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"CONN",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SIGN",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPSState =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPSStateEntries
};

static RsCoreRangeTableEntry rscmwins_rngUECapabilitiesReleaseEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R13",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngUECapabilitiesRelease =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngUECapabilitiesReleaseEntries
};

static RsCoreRangeTableEntry rscmwins_rngScenarioEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NAV",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SCEL",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngScenario =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngScenarioEntries
};

static RsCoreRangeTableEntry rscmwins_rngUserSchedulingPatternEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"UL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DLUL",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOS",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngUserSchedulingPattern =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngUserSchedulingPatternEntries
};

static RsCoreRangeTableEntry rscmwins_rngConnectionHARQMaxNumberOfTransmissionsEntries[] =
{
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */4,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConnectionHARQMaxNumberOfTransmissions =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConnectionHARQMaxNumberOfTransmissionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellCENumberOfThresholdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */2,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellCENumberOfThreshold =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellCENumberOfThresholdEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellCERepetitionsPerPreambleEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */1,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */2,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */4,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */8,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */16,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */32,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */64,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */128,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellCERepetitionsPerPreamble =
{
  /* type        = */RS_VAL_COERCED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellCERepetitionsPerPreambleEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellCENPDCCHMaxRepetitionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2048",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellCENPDCCHMaxRepetitions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellCENPDCCHMaxRepetitionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellCERSRPThresholdEntries[] =
{
  {
      /* discreteOrMinValue = */-140.0,
      /* maxValue           = */-44.0,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellCERSRPThreshold =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellCERSRPThresholdEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellGuardBandUplinkPositionEntries[] =
{
  {
      /* discreteOrMinValue = */306,
      /* maxValue           = */327,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellGuardBandUplinkPosition =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellGuardBandUplinkPositionEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellInbandUplinkCarrierPositionEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */49,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellInbandUplinkCarrierPosition =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellInbandUplinkCarrierPositionEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellWUSMaxDurationFactorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R128",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellWUSMaxDurationFactor =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellWUSMaxDurationFactorEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellWUSNumPOsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FOUR",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellWUSNumPOs =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellWUSNumPOsEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigurePhysicalCellWUSFirstPOPositionEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */1,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSFirstPOPosition =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConfigurePhysicalCellWUSFirstPOPositionEntries
};

static RsCoreRangeTableEntry rscmwins_rngPhysicalCellWUSNoOfDRXCyclesRelaxedEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */1,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */2,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */4,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */8,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngPhysicalCellWUSNoOfDRXCyclesRelaxed =
{
  /* type        = */RS_VAL_COERCED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngPhysicalCellWUSNoOfDRXCyclesRelaxedEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigurePhysicalCellWUSTimeOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */40,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */80,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */160,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */240,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSTimeOffset =
{
  /* type        = */RS_VAL_COERCED,
  /* reserved    = */0,0,
  /* customInfo  = */"ms",
  /* rangeValues = */rscmwins_rngConfigurePhysicalCellWUSTimeOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXShortEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */40,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */80,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */160,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */240,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXShort =
{
  /* type        = */RS_VAL_COERCED,
  /* reserved    = */0,0,
  /* customInfo  = */"ms",
  /* rangeValues = */rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXShortEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXLongEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */1000,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */2000,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXLong =
{
  /* type        = */RS_VAL_COERCED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXLongEntries
};

static RsCoreRangeTableEntry rscmwins_rngDRXTimerEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF24",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF33",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF40",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF80",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF96",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF112",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF160",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */18,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"PSF320",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDRXTimer =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDRXTimerEntries
};

static RsCoreRangeTableEntry rscmwins_rngDRXCycleEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF1280",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF1536",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF2048",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF2560",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF3072",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF4096",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF4608",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF5120",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF6144",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF7680",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF8192",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF9216",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF10240",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDRXCycle =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDRXCycleEntries
};

static RsCoreRangeTableEntry rscmwins_rngDRXStartOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */255,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDRXStartOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDRXStartOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngDestinationServerPortEntries[] =
{
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */65535,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngDestinationServerPort =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngDestinationServerPortEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACDLFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */599,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACDLFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"Ch",
  /* rangeValues = */rscmwins_rngNACDLFrequencyEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACULFrequencyEntries[] =
{
  {
      /* discreteOrMinValue = */18000,
      /* maxValue           = */18599,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACULFrequency =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */"Ch",
  /* rangeValues = */rscmwins_rngNACULFrequencyEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACBitmapEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANB",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXB",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACBitmap =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACBitmapEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACGapEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"NOG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ANG",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"EXG",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACGap =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACGapEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACGapThresholdEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N256",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACGapThreshold =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACGapThresholdEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACGapPeriodicityEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SF512",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACGapPeriodicity =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACGapPeriodicityEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACNRSPowerOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"N2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"P3",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACNRSPowerOffset =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACNRSPowerOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACPagingWeightAnchorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W16",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACPagingWeightAnchor =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACPagingWeightAnchorEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACChannelOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VN1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"VNHF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */19,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */21,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */22,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */23,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */24,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"V9",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACChannelOffset =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACChannelOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACRepetitionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OFF",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ON",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2048",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */17,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SP4",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACRepetitions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACRepetitionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACPagingWeightEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W0",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"W16",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACPagingWeight =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACPagingWeightEntries
};

static RsCoreRangeTableEntry rscmwins_rngNACDurationFactorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R128",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNACDurationFactor =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNACDurationFactorEntries
};

static RsCoreRangeTableEntry rscmwins_rngNPRACHProbabilityAnchorEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R3",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R10",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R11",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */12,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R12",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */13,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R13",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */14,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R14",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */15,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R15",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */16,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNPRACHProbabilityAnchor =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNPRACHProbabilityAnchorEntries
};

static RsCoreRangeTableEntry rscmwins_rngNPDCCHNoRepetitionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RMAX",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RMAX2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RMAX4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"RMAX8",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNPDCCHNoRepetitions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNPDCCHNoRepetitionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngNPDCCHStartSFEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */1,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */2,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */4,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */8,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */16,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */32,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */48,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */64,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNPDCCHStartSF =
{
  /* type        = */RS_VAL_COERCED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNPDCCHStartSFEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigureConnectionNPDCCHOffsetEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */3,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigureConnectionNPDCCHOffset =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConfigureConnectionNPDCCHOffsetEntries
};

static RsCoreRangeTableEntry rscmwins_rngNPDCCHCSSMAXRepetitionsEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R16",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R32",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R64",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R128",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */8,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R256",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */9,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R512",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */10,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R1024",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */11,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"R2048",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngNPDCCHCSSMAXRepetitions =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngNPDCCHCSSMAXRepetitionsEntries
};

static RsCoreRangeTableEntry rscmwins_rngConfigureConnectionNACBitmapExplicitEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */1023,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngConfigureConnectionNACBitmapExplicit =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngConfigureConnectionNACBitmapExplicitEntries
};

static RsCoreRangeTableEntry rscmwins_rngEDTResourceNumbersEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B328",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B408",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B504",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B584",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B680",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B808",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B936",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"B1000",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngEDTResourceNumbers =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngEDTResourceNumbersEntries
};

static RsCoreRangeTableEntry rscmwins_rngRRCReleaseCauseEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"SUSP",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"OTH",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngRRCReleaseCause =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngRRCReleaseCauseEntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedulingRequestWithoutHARQAlphaEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT4",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT5",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */3,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT6",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */4,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT7",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */5,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT8",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */6,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"DOT9",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */7,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQAlpha =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedulingRequestWithoutHARQAlphaEntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedulingRequestWithoutHARQIndexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ZERO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWO",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQIndex =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedulingRequestWithoutHARQIndexEntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedulingRequestWithoutHARQSREntries[] =
{
  {
      /* discreteOrMinValue = */-126,
      /* maxValue           = */24,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQSR =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedulingRequestWithoutHARQSREntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedReqWithoutHARQSubcarrierIndexFormatEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FT01",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"FT2",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedReqWithoutHARQSubcarrierIndexFormat =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedReqWithoutHARQSubcarrierIndexFormatEntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedReqWithoutHARQSubcrIndexFormValueEntries[] =
{
  {
      /* discreteOrMinValue = */20,
      /* maxValue           = */23,
      /* coercedValue       = */0,
      /* cmdString          = */NULL,
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedReqWithoutHARQSubcrIndexFormValue =
{
  /* type        = */RS_VAL_RANGED,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedReqWithoutHARQSubcrIndexFormValueEntries
};

static RsCoreRangeTableEntry rscmwins_rngSchedulingRequestWithoutHARQResourceIndexEntries[] =
{
  {
      /* discreteOrMinValue = */0,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"ONE",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */1,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"TWO",
      /* cmdValue           = */0
  },
  {
      /* discreteOrMinValue = */2,
      /* maxValue           = */0,
      /* coercedValue       = */0,
      /* cmdString          = */"THRE",
      /* cmdValue           = */0
  },
  RS_RANGE_TABLE_LAST_ENTRY
};

RsCoreRangeTable rscmwins_rngSchedulingRequestWithoutHARQResourceIndex =
{
  /* type        = */RS_VAL_DISCRETE,
  /* reserved    = */0,0,
  /* customInfo  = */NULL,
  /* rangeValues = */rscmwins_rngSchedulingRequestWithoutHARQResourceIndexEntries
};


/*****************************************************************************
*- Attributes --------------------------------------------------------------*
 *****************************************************************************/

RsCoreAttribute  g_RSCMWINS_RS_ATTR_RANGE_CHECK =
{
  /* constant           = */RS_ATTR_RANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Range Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_QUERY_INSTRUMENT_STATUS =
{
  /* constant           = */RS_ATTR_QUERY_INSTRUMENT_STATUS,
#if defined (_DEBUG)
  /* debug name         = */"Query Instrument Status",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CACHE =
{
  /* constant           = */RS_ATTR_CACHE,
#if defined (_DEBUG)
  /* debug name         = */"Cache",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SIMULATE =
{
  /* constant           = */RS_ATTR_SIMULATE,
#if defined (_DEBUG)
  /* debug name         = */"Simulate",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_RECORD_COERCIONS =
{
  /* constant           = */RS_ATTR_RECORD_COERCIONS,
#if defined (_DEBUG)
  /* debug name         = */"Record Value Coercions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_INTERCHANGE_CHECK =
{
  /* constant           = */RS_ATTR_INTERCHANGE_CHECK,
#if defined (_DEBUG)
  /* debug name         = */"Interchangeability Check",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPY =
{
  /* constant           = */RS_ATTR_SPY,
#if defined (_DEBUG)
  /* debug name         = */"Spy",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_USE_SPECIFIC_SIMULATION =
{
  /* constant           = */RS_ATTR_USE_SPECIFIC_SIMULATION,
#if defined (_DEBUG)
  /* debug name         = */"Use Specific Simulation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Description",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_PREFIX =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_PREFIX,
#if defined (_DEBUG)
  /* debug name         = */"Driver Prefix",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Locator",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_VENDOR =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_VENDOR,
#if defined (_DEBUG)
  /* debug name         = */"Driver Vendor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_REVISION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Specification Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS =
{
  /* constant           = */RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
#if defined (_DEBUG)
  /* debug name         = */"Supported Instrument Models",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_GROUP_CAPABILITIES =
{
  /* constant           = */RS_ATTR_GROUP_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Class Group Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_FUNCTION_CAPABILITIES =
{
  /* constant           = */RS_ATTR_FUNCTION_CAPABILITIES,
#if defined (_DEBUG)
  /* debug name         = */"Function Capabilities",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CHANNEL_COUNT =
{
  /* constant           = */RS_ATTR_CHANNEL_COUNT,
#if defined (_DEBUG)
  /* debug name         = */"Channel Count",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_DRIVER_SETUP =
{
  /* constant           = */RS_ATTR_DRIVER_SETUP,
#if defined (_DEBUG)
  /* debug name         = */"Driver Setup",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_INSTRUMENT_MANUFACTURER =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MANUFACTURER,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Manufacturer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"Rohde&Schwarz",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_INSTRUMENT_MODEL =
{
  /* constant           = */RS_ATTR_INSTRUMENT_MODEL,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Model",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION =
{
  /* constant           = */RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument Firmware Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_OPTIONS_LIST =
{
  /* constant           = */RS_ATTR_OPTIONS_LIST,
#if defined (_DEBUG)
  /* debug name         = */"Options List",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_IO_RESOURCE_DESCRIPTOR =
{
  /* constant           = */RS_ATTR_IO_RESOURCE_DESCRIPTOR,
#if defined (_DEBUG)
  /* debug name         = */"Resource Descriptor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_LOGICAL_NAME =
{
  /* constant           = */RS_ATTR_LOGICAL_NAME,
#if defined (_DEBUG)
  /* debug name         = */"Logical Name",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_PRIMARY_ERROR =
{
  /* constant           = */RS_ATTR_PRIMARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Primary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SECONDARY_ERROR =
{
  /* constant           = */RS_ATTR_SECONDARY_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"Secondary Error",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_ERROR_ELABORATION =
{
  /* constant           = */RS_ATTR_ERROR_ELABORATION,
#if defined (_DEBUG)
  /* debug name         = */"Error Elaboration",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_USE_CALLBACKS_FOR_SIMULATION | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_VISA_RM_SESSION =
{
  /* constant           = */RS_ATTR_VISA_RM_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"VISA Resource Manager Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_USE_CALLBACKS_FOR_SIMULATION | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_IO_SESSION =
{
  /* constant           = */RS_ATTR_IO_SESSION,
#if defined (_DEBUG)
  /* debug name         = */"Instrument IO Session",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_SESSION,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_IO_SESSION_TYPE =
{
  /* constant           = */RS_ATTR_IO_SESSION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"IO Session Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_SUPPORTED | RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Driver Minor Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Class Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_ENGINE_MAJOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MAJOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Major Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_ENGINE_MINOR_VERSION =
{
  /* constant           = */RS_ATTR_ENGINE_MINOR_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Minor Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_ENGINE_REVISION =
{
  /* constant           = */RS_ATTR_ENGINE_REVISION,
#if defined (_DEBUG)
  /* debug name         = */"Engine Revision",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_NOT_WRITABLE | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_OPC_CALLBACK =
{
  /* constant           = */RS_ATTR_OPC_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_USE_CALLBACKS_FOR_SIMULATION,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_CHECK_STATUS_CALLBACK =
{
  /* constant           = */RS_ATTR_CHECK_STATUS_CALLBACK,
#if defined (_DEBUG)
  /* debug name         = */"Check Status Callback",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_ADDR,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_USE_CALLBACKS_FOR_SIMULATION,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_RS_ATTR_OPC_TIMEOUT =
{
  /* constant           = */RS_ATTR_OPC_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Operation Complete (OPC) Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */NULL,
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */RS_VAL_HIDDEN | RS_VAL_USE_CALLBACKS_FOR_SIMULATION | RS_VAL_DONT_CHECK_STATUS,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_GENERATOR_STATE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_GENERATOR_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Generator State",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SOUR:NIOT:SIGN{instance}:CELL:STAT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_RRC_STATE =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_RRC_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Query RRC State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngRRCState,
  /* command            = */"SENS:NIOT:SIGN{instance}:RRCS?",
  /* integerDefault     = */RSCMWINS_VAL_RRC_STATE_IDLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_RRC_RELEASE_CAUSE =
{
  /* constant           = */RSCMWINS_ATTR_RRC_RELEASE_CAUSE,
#if defined (_DEBUG)
  /* debug name         = */"RRC Release Cause",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngRRCReleaseCause,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:RRC:RELC",
  /* integerDefault     = */RSCMWINS_VAL_RRC_RELEASE_CAUSE_SUSPEND,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PS_ACTION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PS_ACTION,
#if defined (_DEBUG)
  /* debug name         = */"Configure PS Action",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigurePSAction,
  /* command            = */"CALL:NIOT:SIGN{instance}:PSW:ACT",
  /* integerDefault     = */RSCMWINS_VAL_CONFIGURE_PS_ACTION_CONN,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_PS_STATE =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_PS_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Query PS State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPSState,
  /* command            = */"FETC:NIOT:SIGN{instance}:PSW:STAT?",
  /* integerDefault     = */RSCMWINS_VAL_PS_STATE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCENARIO_CATALOG =
{
  /* constant           = */RSCMWINS_ATTR_SCENARIO_CATALOG,
#if defined (_DEBUG)
  /* debug name         = */"Scenario Catalog",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CAT:NIOT:SIGN{instance}:SCEN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"catalog",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCENARIO_ACTIVE =
{
  /* constant           = */RSCMWINS_ATTR_SCENARIO_ACTIVE,
#if defined (_DEBUG)
  /* debug name         = */"Scenario Active",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngScenario,
  /* command            = */"ROUT:NIOT:SIGN{instance}:SCEN?",
  /* integerDefault     = */RSCMWINS_VAL_SCENARIO_SCEL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CLEAN_EVENT_LOG =
{
  /* constant           = */RSCMWINS_ATTR_CLEAN_EVENT_LOG,
#if defined (_DEBUG)
  /* debug name         = */"Clean Event Log",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CLE:NIOT:SIGN{instance}:ELOG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_INFO_IMEI =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_INFO_IMEI,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Info IMEI",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UES:IMEI?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"000000000000000000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_INFO_IMSI =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_INFO_IMSI,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Info IMSI",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UES:IMSI?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0000000000000000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_INFO_DEFAULT_BEARERS_CATALOG =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_INFO_DEFAULT_BEARERS_CATALOG,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Info Default Bearers Catalog",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CAT:NIOT:SIGN{instance}:UES:DEFB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"catalog",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_INFO_ASSIGNED_IP_ADDRESSES =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_INFO_ASSIGNED_IP_ADDRESSES,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Info Assigned IP Addresses",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UES:UEAD:IPV{IPVersion}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"addresses",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INACTIVITY_MONITOR =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INACTIVITY_MONITOR,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Inactivity Monitor",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:MAC:DIN?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE_ASSISTANCE_INDICATION =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE_ASSISTANCE_INDICATION,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Release Assistance Indication",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:MAC:REL?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_TONE =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_TONE,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Multi Tone",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:RRC:MTON?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Multi Carrier",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:RRC:MCAR?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_USER_PLANE_C_IOT_OPTIMIZATION =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_USER_PLANE_C_IOT_OPTIMIZATION,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities User Plane C-IoT Optimization",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:RRC:UPL?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TRANSFER_CATEGORY =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TRANSFER_CATEGORY,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Transfer Category",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngTransferCategory,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:CAT?",
  /* integerDefault     = */RSCMWINS_VAL_TRANSFER_CATEGORY_NB1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_DRB =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_DRB,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Multiple DRB",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:MDRB?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_PAGING =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_PAGING,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Multi Carrier Paging",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PAG:MTIC?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MAX_ROHC_CONTEXT_SESSIONS =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MAX_ROHC_CONTEXT_SESSIONS,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Max ROHC Context Sessions",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngROHCContextSessions,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PDCP:MAXS?",
  /* integerDefault     = */RSCMWINS_VAL_ROHC_CONTEXT_SESSIONS_CS2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_ROHC_PROFILES =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_ROHC_PROFILES,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities ROHC Profiles",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PDCP:PROF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"rohc",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_REFERENCE_ROHC_PROFILE_NAMES =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_REFERENCE_ROHC_PROFILE_NAMES,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Reference ROHC Profile Names",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PDCP:ROHC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"profileNames",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INTERFERENCE_RANDOMIZATION =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INTERFERENCE_RANDOMIZATION,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Interference Randomization",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:INTR?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_UE_SUPPORTS_MULTI_CARRIER =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_UE_SUPPORTS_MULTI_CARRIER,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities UE Supports Multi Carrier",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:MCAR?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_NPRACH =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_NPRACH,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Multi Carrier NPRACH",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:MCRR:NPR?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_NPUSCH_MULTI_TONE =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_NPUSCH_MULTI_TONE,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities NPUSCH Multi Tone",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:MTON?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TWO_HARQ_PROCESSES =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TWO_HARQ_PROCESSES,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Two HARQ Processes",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:TWOH?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Release",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngUECapabilitiesRelease,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:REL?",
  /* integerDefault     = */RSCMWINS_VAL_UE_CAP_RELEASE_R13,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_NS_PMAX =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_NS_PMAX,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Multiple NS-Pmax",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:RF:MPM?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_POWER_CLASS_14_DBM =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_POWER_CLASS_14_DBM,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Power Class 14 dBm",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:RF:POWF?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WAKE_UP_SIGNAL =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WAKE_UP_SIGNAL,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Paging Wake Up Signal",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PAG:WUS:ENAB?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WUS_MIN_GAP =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WUS_MIN_GAP,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Paging WUS Min Gap",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PAG:WUS:MING:EDRX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */40,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_EARLY_DATA_UP =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_EARLY_DATA_UP,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities Early Data Up",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:MAC:EDAT?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITH_HARQ =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITH_HARQ,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities SR With HARQ",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:SR:HARQ:WITH?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITHOUT_HARQ =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITHOUT_HARQ,
#if defined (_DEBUG)
  /* debug name         = */"Query UE Capabilities SR Without HARQ",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNoYes,
  /* command            = */"SENS:NIOT:SIGN{instance}:UEC:TRAN:PHYS:SR:HARQ:WOUT?",
  /* integerDefault     = */RSCMWINS_VAL_NO_YES_NO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"UE Measurement Report Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:UER:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_INDEX =
{
  /* constant           = */RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"UE Measurement Report RSRP Index",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UER:RSRP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_RANGE =
{
  /* constant           = */RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_RANGE,
#if defined (_DEBUG)
  /* debug name         = */"UE Measurement Report RSRP Range",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_RAWSTRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UER:RSRP:RANG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0.0,0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_INDEX =
{
  /* constant           = */RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"UE Measurement Report RSRQ Index",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UER:RSRQ?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_RANGE =
{
  /* constant           = */RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_RANGE,
#if defined (_DEBUG)
  /* debug name         = */"UE Measurement Report RSRQ Range",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_RAWSTRING,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UER:RSRQ:RANG?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"0.0,0.0",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_OUTPUT_ATTENUATION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_OUTPUT_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Output Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngAttenuation,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:EATT:OUTP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_INPUT_ATTENUATION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_INPUT_ATTENUATION,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Input Attenuation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngAttenuation,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:EATT:INP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_INPUT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_INPUT,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF External Time Delay Input",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngRFExtTimeDelay,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:EDC:INP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_OUTPUT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_OUTPUT,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF External Time Delay Output",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngRFExtTimeDelay,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:EDC:OUTP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_SIGNAL_OPERATING_BAND =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_SIGNAL_OPERATING_BAND,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Signal Operating Band",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngOperatingBand,
  /* command            = */"CONF:NIOT:SIGN{instance}:BAND",
  /* integerDefault     = */RSCMWINS_VAL_OB_1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_DL =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_DL,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Channel DL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:CHAN:DL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_UL =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_UL,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Channel UL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:CHAN:UL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_DL =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_DL,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Frequency Offset DL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngRFFrequencyOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:FOFF:DL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_UL =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_UL,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Frequency Offset UL",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngRFFrequencyOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:FOFF:UL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_MODE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_ENP_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF ENP Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngENPMode,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:ENPM",
  /* integerDefault     = */RSCMWINS_VAL_ENP_MODE_ULPC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_POWER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_ENP_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF ENP Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:ENP",
  /* integerDefault     = */0,
  /* doubleDefault      = */23,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_USER_MARGIN =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_ENP_USER_MARGIN,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF ENP User Margin",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:UMAR",
  /* integerDefault     = */0,
  /* doubleDefault      = */12,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_RF_MIXER_LEVEL_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_RF_MIXER_LEVEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure RF Mixer Level Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngMixerLevelOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:MLOF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_CHANNEL_UL_MAXIMUM =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_CHANNEL_UL_MAXIMUM,
#if defined (_DEBUG)
  /* debug name         = */"Query RF User Defined Channel UL Maximum",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:UDEF:CHAN:UL:MAX?",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_DL_MAXIMUM =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_DL_MAXIMUM,
#if defined (_DEBUG)
  /* debug name         = */"Query RF User Defined Frequency DL Maximum",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:UDEF:FREQ:DL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MAXIMUM =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MAXIMUM,
#if defined (_DEBUG)
  /* debug name         = */"Query RF User Defined Frequency UL Maximum",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:UDEF:FREQ:UL:MAX?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MINIMUM =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MINIMUM,
#if defined (_DEBUG)
  /* debug name         = */"Query RF User Defined Frequency UL Minimum",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:RFS:UDEF:FREQ:UL:MIN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_NRS_EPRE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_DL_POWER_NRS_EPRE,
#if defined (_DEBUG)
  /* debug name         = */"Configure DL Power NRS EPRE",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:DL:NRS:LEV",
  /* integerDefault     = */0,
  /* doubleDefault      = */-85,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_OCNG =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_DL_POWER_OCNG,
#if defined (_DEBUG)
  /* debug name         = */"Configure DL Power OCNG",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:DL:OCNG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_AWGN =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_DL_POWER_AWGN,
#if defined (_DEBUG)
  /* debug name         = */"Configure DL Power AWGN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:DL:AWGN",
  /* integerDefault     = */0,
  /* doubleDefault      = */-98,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_NOMINAL_POWER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_NOMINAL_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Control Nominal Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngNominalPower,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:NPUS:ULNP",
  /* integerDefault     = */0,
  /* doubleDefault      = */23,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPRACH_PREAMBLE_POWER =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPRACH_PREAMBLE_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Query UL Power Control NPRACH Preamble Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UL:ADP:ENPP?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPUSCH_FORMAT_POWER =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPUSCH_FORMAT_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Query UL Power Control NPUSCH Format Power",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UL:ADP:EFNP{format}?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_MAXIMUM_UE_POWER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_MAXIMUM_UE_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Control Maximum UE Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngUEPower,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:PMAX",
  /* integerDefault     = */0,
  /* doubleDefault      = */24,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Advanced Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:ADP:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_NRS_POWER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_NRS_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Advanced nrs-Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngNrsPower,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:ADP:NRSP",
  /* integerDefault     = */0,
  /* doubleDefault      = */42,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_UL_POWER_ADVANCED_PATHLOSS =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_UL_POWER_ADVANCED_PATHLOSS,
#if defined (_DEBUG)
  /* debug name         = */"Query UL Power Advanced Pathloss",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:UL:ADP:PATH?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PIR_TARGET_POWER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PIR_TARGET_POWER,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Advanced PIR Target Power",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngPIRPower,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:ADP:PIRP",
  /* integerDefault     = */0,
  /* doubleDefault      = */-104,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_P0_NOMINAL_NPUSCH =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_P0_NOMINAL_NPUSCH,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Advanced P0 Nominal NPUSCH",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngP0NominalPUSCH,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:ADP:PNNP",
  /* integerDefault     = */0,
  /* doubleDefault      = */-115,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PATHLOSS_COMPENSATION_ALPHA =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PATHLOSS_COMPENSATION_ALPHA,
#if defined (_DEBUG)
  /* debug name         = */"Configure UL Power Advanced Pathloss Compensation Alpha",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPathlossCompAlpha,
  /* command            = */"CONF:NIOT:SIGN{instance}:UL:ADP:PCAL",
  /* integerDefault     = */RSCMWINS_VAL_PCA_ONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_DUPLEX_MODE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_DUPLEX_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Duplex Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellDuplexMode,
  /* command            = */"CONF:NIOT:SIGN{instance}:DMOD",
  /* integerDefault     = */RSCMWINS_VAL_PHYSICAL_CELL_DUPLEX_MODE_FDD,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_SUBCARRIER_SPACING =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_SUBCARRIER_SPACING,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Subcarrier Spacing",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellSubcSpacing,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SCSP",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_SUBCARRIER_SPACING_S15K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ID =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ID,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell ID",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellID,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:PCID",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_OPERATION_MODE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_OPERATION_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Operation Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellOperationMode,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:OPER",
  /* integerDefault     = */RSCMWINS_PHYS_CELL_OPER_MODE_SALM,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ENABLE_FLEXIBLE_UL_DL_SEPARATION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ENABLE_FLEXIBLE_UL_DL_SEPARATION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Enable Flexible UL DL Separation",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:FLEX:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_BANDWIDTH =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_BANDWIDTH,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Bandwidth",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellBandwidth,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:BAND",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_BW_B100,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CONTROL_REGION_SIZE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CONTROL_REGION_SIZE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Control Region Size",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellControlRegionSize,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:CRS",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_CTRL_REGION_SIZE_CRS1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Power Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellPowerOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:POFF",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_POW_OFFSET_ZERO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_PCI =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_PCI,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Inband PCI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellInbandPCI,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:IPCI",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_INBAND_PCI_SAME,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_CARRIER_POSITION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_CARRIER_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Inband Carrier Position",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellCarrPosition,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:IBCP",
  /* integerDefault     = */4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Inband Uplink Carrier Position Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:IBUC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Inband Uplink Carrier Position",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellInbandUplinkCarrierPosition,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:IBUC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_POSITION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Guard Band Position",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhyslCellGuardBandPosition,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:GBCP",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_GB_POSITION_UP,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Guard Band Uplink Position Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:GBUC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Guard Band Uplink Position",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellGuardBandUplinkPosition,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:IBGB:GBUC",
  /* integerDefault     = */306,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_DL =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_DL,
#if defined (_DEBUG)
  /* debug name         = */"Query Physical Cell LTE Frequency DL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:CELL:IBGB:FREQ:DL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_UL =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_UL,
#if defined (_DEBUG)
  /* debug name         = */"Query Physical Cell LTE Frequency UL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:CELL:IBGB:FREQ:UL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_DL =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_DL,
#if defined (_DEBUG)
  /* debug name         = */"Query Physical Cell Channel Raster Offset DL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:CELL:IBGB:CHAN:OFFS:DL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_UL =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_UL,
#if defined (_DEBUG)
  /* debug name         = */"Query Physical Cell Channel Raster Offset UL",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:CELL:IBGB:CHAN:OFFS:UL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_NO_RESPONSE_TO_PREAMBLES =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_NO_RESPONSE_TO_PREAMBLES,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell No Response To Preambles",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:NPR:NOR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_RAMPING =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_RAMPING,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Power Ramping",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellPowerRamping,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:NPR:PRAM",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_POWER_RAMP_S2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_PREAMBLE_FORMAT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_PREAMBLE_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Preamble Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellPreambleFormat,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:NPR:PREF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_MAX_TRANSMISSIONS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_MAX_TRANSMISSIONS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell Max Transmissions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysCellMaxTransmissions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:NPR:MAXT",
  /* integerDefault     = */RSCMWINS_VAL_PHYS_CELL_MAX_TRANS_T6,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NUMBER_OF_THRESHOLD =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NUMBER_OF_THRESHOLD,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE Number Of Threshold",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCENumberOfThreshold,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:NTHR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_0 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_0,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE Repetitions Per Preamble 0",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCERepetitionsPerPreamble,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:REPP:ZERO",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_1 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_1,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE Repetitions Per Preamble 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCERepetitionsPerPreamble,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:REPP:ONE",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_2 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_2,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE Repetitions Per Preamble 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCERepetitionsPerPreamble,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:REPP:TWO",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_0 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_0,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE NPDCCH Max Repetitions 0",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCENPDCCHMaxRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:NPDC:MNR:ZERO",
  /* integerDefault     = */RSCMWINS_VAL_NPDCCH_MAX_REPETITIONS_R16,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_1 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_1,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE NPDCCH Max Repetitions 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCENPDCCHMaxRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:NPDC:MNR:ONE",
  /* integerDefault     = */RSCMWINS_VAL_NPDCCH_MAX_REPETITIONS_R16,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_2 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_2,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE NPDCCH Max Repetitions 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCENPDCCHMaxRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:NPDC:MNR:TWO",
  /* integerDefault     = */RSCMWINS_VAL_NPDCCH_MAX_REPETITIONS_R16,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_1 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_1,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE RSRP Threshold 1",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCERSRPThreshold,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:RSRP:ONE",
  /* integerDefault     = */0,
  /* doubleDefault      = */-70.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_2 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_2,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell CE RSRP Threshold 2",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngPhysicalCellCERSRPThreshold,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CENH:RSRP:TWO",
  /* integerDefault     = */0,
  /* doubleDefault      = */-80.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CE_LEVEL_REPORT =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CE_LEVEL_REPORT,
#if defined (_DEBUG)
  /* debug name         = */"Query Physical Cell CE Level Report",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"SENS:NIOT:SIGN{instance}:CELL:CENH:REPC?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_DISABLE_PAGING =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_DISABLE_PAGING,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Disable Paging",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:PAG:DIS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_MAX_DURATION_FACTOR =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_MAX_DURATION_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Max Duration Factor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellWUSMaxDurationFactor,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:DURF:MAX",
  /* integerDefault     = */RSCMWINS_VAL_WUS_DURATION_FACTOR_R128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NUM_POS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NUM_POS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Num POs",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellWUSNumPOs,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:NUMP",
  /* integerDefault     = */RSCMWINS_VAL_WUS_NUM_PO_ONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_FIRST_PO_POSITION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_FIRST_PO_POSITION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS First PO Position",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigurePhysicalCellWUSFirstPOPosition,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:FPOP",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NO_OF_DRX_CYCLES_RELAXED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NO_OF_DRX_CYCLES_RELAXED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS No Of DRX Cycles Relaxed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPhysicalCellWUSNoOfDRXCyclesRelaxed,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:DRXC:REL",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_DRX =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_DRX,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Time Offset DRX",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigurePhysicalCellWUSTimeOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:DRX:TOFF",
  /* integerDefault     = */40,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_SHORT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_SHORT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Time Offset eDRX Short",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXShort,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:EDRX:TOFF:SHOR",
  /* integerDefault     = */40,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Time Offset eDRX Long Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:EDRX:TOFF:LONG",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG,
#if defined (_DEBUG)
  /* debug name         = */"Configure Physical Cell WUS Time Offset eDRX Long",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigurePhysicalCellWUSTimeOffseteDRXLong,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:WUS:EDRX:TOFF:LONG",
  /* integerDefault     = */1000,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MCC =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MCC,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Identity MCC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngMCC,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:MCC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC_DIGITS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC_DIGITS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Identity MNC Digits",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngMNCDigits,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:MNC:DIG",
  /* integerDefault     = */RSCMWINS_VAL_MNC_DIGITS_TWO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Identity MNC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngMCC,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:MNC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_TAC =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_TAC,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Identity TAC",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngTAC,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TAC",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_CID_EUTRAN =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_CID_EUTRAN,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Identity CID EUTRAN",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:CID:EUTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"#B100000000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_UE_IMSI =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_UE_IMSI,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Identity UE IMSI",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:UEID:IMSI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"001010123456063",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_AUTHENTICATION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_AUTHENTICATION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Security Authentication",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SEC:AUTH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Security Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SEC:SEC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ALGORITHM =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Security Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNetworkSecurityAlgorithm,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SEC:IALG",
  /* integerDefault     = */RSCMWINS_VAL_NETWORK_SECURITY_ALGORITHM_S3G,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_SECRET_KEY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_SECRET_KEY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Security Secret Key",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SEC:SKEY",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"#H000102030405060708090A0B0C0D0E0F",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_MILENAGE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_MILENAGE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Security Milenage",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SEC:MIL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_OPC =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_OPC,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Security OPc",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SEC:OPC",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"#H00000000000000000000000000000000",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_OUT_OF_SYNC =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_OUT_OF_SYNC,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Timer Out of Sync",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngTimerOutofSync,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TOUT:OOSY",
  /* integerDefault     = */0,
  /* doubleDefault      = */5,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Timer T3324 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TOUT:T3324",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_VALUE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Timer T3324 Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngTimerT3324,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TOUT:T3324",
  /* integerDefault     = */0,
  /* doubleDefault      = */2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Timer T3412 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TOUT:T3412",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_VALUE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Timer T3412 Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngTimerT3324,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TOUT:T3412",
  /* integerDefault     = */0,
  /* doubleDefault      = */2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_ADDITIONAL_T3412 =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_ADDITIONAL_T3412,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Timer Additional T3412",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngTimerAdditionalT3412,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TOUT:TEXT",
  /* integerDefault     = */0,
  /* doubleDefault      = */2,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Time Daylight Saving Time Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TIME:DST",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_VALUE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Time Daylight Saving Time Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDaylightSavingTime,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TIME:DST",
  /* integerDefault     = */RSCMWINS_VAL_DST_P1H,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Time Local Time Zone Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngLocalTimeZoneOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TIME:LTZ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_TIME =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_TIME,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Time Send Time",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TIME:SATT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_NOW =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_NOW,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Time Send Now",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TIME:SNOW",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SOURCE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SOURCE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Time Source",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNetworkTimeSource,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:TIME:TTSR",
  /* integerDefault     = */RSCMWINS_VAL_NETWORK_TIME_SOURCE_CMWTIME,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_ZONE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_ZONE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Sync Zone",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNetworkSyncZone,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SYNC:ZONE",
  /* integerDefault     = */RSCMWINS_NETWORK_SYNC_ZONE_Z1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Network Sync Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngNetworkSyncOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:SYNC:OFFS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CONNECTION_TYPE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CONNECTION_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Connection Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConnectionType,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CTYP",
  /* integerDefault     = */RSCMWINS_VAL_CONN_TYPE_TEST,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Test Mode Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:TMOD",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_IP_VERSION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_IP_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Test Mode IP Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngIPVersion,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:TMOD:IPV",
  /* integerDefault     = */RSCMWINS_VAL_IP_VERSION_IPV4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_C_IOT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_C_IOT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General C-IoT",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngCIoT,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:DAPP:CIOT",
  /* integerDefault     = */RSCMWINS_VAL_CIOT_CPL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DATA_APPLICATION_MODE_IP_VERSION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DATA_APPLICATION_MODE_IP_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Data Application Mode IP Version",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDataApplicationIPVersion,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:DAPP:IPV",
  /* integerDefault     = */RSCMWINS_VAL_DATA_APP_IP_VERSION_IPV46,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_IP_ADDRESS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_IP_ADDRESS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Destination Server IP Address",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:DSER:IPVF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"192.168.168.2",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_PORT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_PORT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Destination Server Port",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDestinationServerPort,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:DSER:PORT",
  /* integerDefault     = */4366,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_KEEP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_KEEP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General RRC Keep",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:RRC:KEEP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_TIMER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General RRC Timer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngRRCTimer,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:RRC:TIM",
  /* integerDefault     = */5,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_SCHEDULING_TYPE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_SCHEDULING_TYPE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Scheduling Type",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngSchedulingType,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:STYP",
  /* integerDefault     = */RSCMWINS_VAL_SCHEDULING_TYPE_ULRMC,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DEFAULT_PAGING_CYCLE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DEFAULT_PAGING_CYCLE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Default Paging Cycle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDefaultPagingCycle,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:DPCY",
  /* integerDefault     = */RSCMWINS_VAL_DEFAULT_PAGING_CYCLE_P128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PCCH_CONFIG_NB =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PCCH_CONFIG_NB,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General PCCH-Config nB",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPCCHConfignB,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:PCNB",
  /* integerDefault     = */RSCMWINS_VAL_PCCH_CONFIG_NB_NT,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_MODIFICATION_PERIOD_COEFFICIENT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_MODIFICATION_PERIOD_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Modification Period Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngModificationPeriodCoefficient,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:BMPC",
  /* integerDefault     = */RSCMWINS_VAL_MOD_PERIOD_COEFF_C32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PSM_ALLOWED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PSM_ALLOWED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General PSM Allowed",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:PSM",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_IDLE_MODE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_IDLE_MODE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Paging Idle Mode",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:EDRX:IMOD:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_TIME_WINDOW =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_TIME_WINDOW,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Paging Time Window",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngPagingTimeWindow,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:EDRX:IMOD:PTW",
  /* integerDefault     = */RSCMWINS_VAL_PAGING_TIME_WINDOW_W2K56,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CYCLE_LENGTH =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CYCLE_LENGTH,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Cycle Length",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngCycleLength,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:EDRX:IMOD:CLEN",
  /* integerDefault     = */RSCMWINS_VAL_CYCLE_LENGTH_L2K,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_ALLOW_PAGING_AFTER_SI_TRANSMISSION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_ALLOW_PAGING_AFTER_SI_TRANSMISSION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General RRC Allow Paging After SI Transmission",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:RRCP",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_INTERFERENCE_RANDOMIZATION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_INTERFERENCE_RANDOMIZATION,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Interference Randomization",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:INTR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_COLLISION_REPORT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_COLLISION_REPORT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection General Paging Collision Report",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:EPCR",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_TRUE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_USER_PATTERN =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_USER_PATTERN,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection User Pattern",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngUserPattern,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:UDEF:UDP",
  /* integerDefault     = */RSCMWINS_VAL_USER_PATTERN_DLUL,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection HARQ Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:HARQ",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_MAX_NUMBER_OF_TRANSMISSIONS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_MAX_NUMBER_OF_TRANSMISSIONS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection HARQ Max Number Of Transmissions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:MAXN",
  /* integerDefault     = */4,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_PROCESSES =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_PROCESSES,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection HARQ Processes",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NUMH",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_CHANNEL_FREQUENCY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_CHANNEL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 DL Channel Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACDLFrequency,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:CHAN:DL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_UL_CHANNEL_FREQUENCY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_UL_CHANNEL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 UL Channel Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACULFrequency,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:CHAN:UL",
  /* integerDefault     = */18320,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 DL Bitmap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACBitmap,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:DBM",
  /* integerDefault     = */RSCMWINS_VAL_NAC_BITMAP_NOB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP_EXPLICIT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP_EXPLICIT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 DL Bitmap Explicit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigureConnectionNACBitmapExplicit,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:EXB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwins_binPatternToInt32_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwins_Int32ToBinPattern_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_GAP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_GAP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 DL Gap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGap,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:DGAP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_NOG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_THRESHOLD =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_THRESHOLD,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 Gap Threshold",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGapThreshold,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:GAPT",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_THRESHOLD_N32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_PERIODICITY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_PERIODICITY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 Gap Periodicity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGapPeriodicity,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:GAPP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_PERIODICITY_SF64,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_DURATION_COEFFICIENT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_DURATION_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 Gap Duration Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:GAPD",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_NRS_POWER_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_NRS_POWER_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 13 NRS Power Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACNRSPowerOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:NRSP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_NRS_POWER_OFFSET_ZERO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Weight Anchor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACPagingWeightAnchor,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:PWAN",
  /* integerDefault     = */RSCMWINS_VAL_NAC_PAGING_WEIGHT_ANCHOR_W0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Weight Anchor Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:PWAN:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_FREQUENCY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 DL Channel Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACDLFrequency,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:CHAN:DL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 DL Channel Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACChannelOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:OFFS:DL",
  /* integerDefault     = */RSCMWINS_VAL_NAC_CANNEL_OFFSET_V0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 DL Bitmap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACBitmap,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:DBM",
  /* integerDefault     = */RSCMWINS_VAL_NAC_BITMAP_NOB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP_EXPLICIT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP_EXPLICIT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 DL Bitmap Explicit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigureConnectionNACBitmapExplicit,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:EXB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwins_binPatternToInt32_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwins_Int32ToBinPattern_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_GAP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_GAP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 DL Gap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGap,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:DGAP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_NOG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_THRESHOLD =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_THRESHOLD,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 Gap Threshold",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGapThreshold,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:GAPT",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_THRESHOLD_N32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_PERIODICITY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_PERIODICITY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 Gap Periodicity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGapPeriodicity,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:GAPP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_PERIODICITY_SF64,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_DURATION_COEFFICIENT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_DURATION_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 Gap Duration Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:GAPD",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_NRS_POWER_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_NRS_POWER_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 NRS Power Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACNRSPowerOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:NRSP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_NRS_POWER_OFFSET_ZERO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 PCCH Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:PCCH:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_NUM_OF_REPETITIONS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_NUM_OF_REPETITIONS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 PCCH Num Of Repetitions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:PCCH:NREP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_REPETITIONS_R1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 PCCH Paging Weight",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACPagingWeight,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:PCCH:PWE",
  /* integerDefault     = */RSCMWINS_VAL_NAC_PAGING_WEIGHT_W0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 PCCH Paging Weight Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:PCCH:PWE:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_WUS_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_WUS_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 WUS Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:WUSC:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_MAX_DURATION_FACTOR =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_MAX_DURATION_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 1 Max Duration Factor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACDurationFactor,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:ONE:DURF:MAX",
  /* integerDefault     = */RSCMWINS_VAL_NAC_DURATION_FACTOR_R128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_FREQUENCY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 DL Channel Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACDLFrequency,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:CHAN:DL",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 DL Channel Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACChannelOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:OFFS:DL",
  /* integerDefault     = */RSCMWINS_VAL_NAC_CANNEL_OFFSET_V0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 DL Bitmap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACBitmap,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:DBM",
  /* integerDefault     = */RSCMWINS_VAL_NAC_BITMAP_NOB,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP_EXPLICIT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP_EXPLICIT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 DL Bitmap Explicit",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigureConnectionNACBitmapExplicit,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:EXB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)rscmwins_binPatternToInt32_ReadCallback,
  /* writeCallback      = */(RsCoreWriteAttrCallback)rscmwins_Int32ToBinPattern_WriteCallback,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_GAP =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_GAP,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 DL Gap",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGap,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:DGAP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_NOG,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_THRESHOLD =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_THRESHOLD,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 Gap Threshold",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGapThreshold,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:GAPT",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_THRESHOLD_N32,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_PERIODICITY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_PERIODICITY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 Gap Periodicity",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACGapPeriodicity,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:GAPP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_GAP_PERIODICITY_SF64,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_DURATION_COEFFICIENT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_DURATION_COEFFICIENT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 Gap Duration Coefficient",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:GAPD",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_NRS_POWER_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_NRS_POWER_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 NRS Power Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACNRSPowerOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:NRSP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_NRS_POWER_OFFSET_ZERO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 PCCH Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:PCCH:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_NUM_OF_REPETITIONS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_NUM_OF_REPETITIONS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 PCCH Num Of Repetitions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:PCCH:NREP",
  /* integerDefault     = */RSCMWINS_VAL_NAC_REPETITIONS_R1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 PCCH Paging Weight",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACPagingWeight,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:PCCH:PWE",
  /* integerDefault     = */RSCMWINS_VAL_NAC_PAGING_WEIGHT_W0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 PCCH Paging Weight Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:PCCH:PWE:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_WUS_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_WUS_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 WUS Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:WUSC:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_MAX_DURATION_FACTOR =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_MAX_DURATION_FACTOR,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 Paging Carrier 2 Max Duration Factor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACDurationFactor,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:PAG:CARR:TWO:DURF:MAX",
  /* integerDefault     = */RSCMWINS_VAL_NAC_DURATION_FACTOR_R128,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH NPRACH Probability Anchor Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:NPR:PROB:ANCH:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH NPRACH Probability Anchor",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNPRACHProbabilityAnchor,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:NPR:PROB:ANCH",
  /* integerDefault     = */RSCMWINS_VAL_NPRACH_PROBABILITY_ANCHOR_ZERO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_1_RACH_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_1_RACH_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Carrier 1 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:CARR:ONE:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_FREQUENCY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Carrier 1 UL Channel Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACULFrequency,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:CARR:ONE:CHAN:UL",
  /* integerDefault     = */18320,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Carrier 1 UL Channel Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACChannelOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:CARR:ONE:OFFS:UL",
  /* integerDefault     = */RSCMWINS_VAL_NAC_CANNEL_OFFSET_V0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_2_RACH_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_2_RACH_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Carrier 2 Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:CARR:TWO:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_FREQUENCY =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_FREQUENCY,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Carrier 2 UL Channel Frequency",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACULFrequency,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:CARR:TWO:CHAN:UL",
  /* integerDefault     = */18320,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NAC 14 RACH Carrier 2 UL Channel Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNACChannelOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NAC:RACH:CARR:TWO:OFFS:UL",
  /* integerDefault     = */RSCMWINS_VAL_NAC_CANNEL_OFFSET_V0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_MAX_NO_REPETITIONS_RMAX =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_MAX_NO_REPETITIONS_RMAX,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NPDCCH Max No Repetitions Rmax",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:MXNR",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_NO_REPETITIONS =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_NO_REPETITIONS,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NPDCCH No Repetitions",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNPDCCHNoRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:NREP",
  /* integerDefault     = */RSCMWINS_VAL_NPDCCH_NO_REPETITIONS_RMAX,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_NO_REPETITIONS =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_NO_REPETITIONS,
#if defined (_DEBUG)
  /* debug name         = */"Query Connection NPDCCH No Repetitions",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:NRR?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_START_SF =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_START_SF,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NPDCCH Start SF",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNPDCCHStartSF,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:STSF",
  /* integerDefault     = */1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_PERIOD =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_PERIOD,
#if defined (_DEBUG)
  /* debug name         = */"Query Connection NPDCCH Period",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:PER?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NPDCCH Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngConfigureConnectionNPDCCHOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:OFFS",
  /* integerDefault     = */2,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Query Connection NPDCCH Offset",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:SFOF?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_CSS_MAX_NO_REPETITIONS_RMAX =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_CSS_MAX_NO_REPETITIONS_RMAX,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection NPDCCH CSS Max No Repetitions Rmax",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngNPDCCHCSSMAXRepetitions,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:NPDC:CSS:MAXN",
  /* integerDefault     = */RSCMWINS_VAL_NPDCCH_CSS_MAX_REPETITIONS_R1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:ENAB",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ON_DURATION_TIMER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ON_DURATION_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX On Duration Timer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDRXTimer,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:ODT",
  /* integerDefault     = */RSCMWINS_VAL_DRX_TIMER_PSF3,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_INACTIVITY_TIMER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_INACTIVITY_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX Inactivity Timer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDRXTimer,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:ITIM",
  /* integerDefault     = */RSCMWINS_VAL_DRX_TIMER_PSF1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_RETRANSMISSION_TIMER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_RETRANSMISSION_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX Retransmission Timer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDRXTimer,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:RTIM",
  /* integerDefault     = */RSCMWINS_VAL_DRX_TIMER_PSF1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_CYCLE =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_CYCLE,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX Cycle",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDRXCycle,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:DCYC",
  /* integerDefault     = */RSCMWINS_DRX_CYCLE_SF256,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_START_OFFSET =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_START_OFFSET,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX Start Offset",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDRXStartOffset,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:SOFF",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_UL_RETRANS_TIMER =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_UL_RETRANS_TIMER,
#if defined (_DEBUG)
  /* debug name         = */"Configure Connection Connected DRX UL Retrans Timer",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngDRXTimer,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:CDRX:ULR",
  /* integerDefault     = */RSCMWINS_VAL_DRX_TIMER_PSF1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITH_HARQ =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITH_HARQ,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request With HARQ",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WITH",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_ALPHA =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_ALPHA,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ Alpha",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngSchedulingRequestWithoutHARQAlpha,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT:NPR:ALPH",
  /* integerDefault     = */RSCMWINS_VAL_SCHED_REQ_WITHOUT_HARQ_ALPHA_ONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_CARRIER_INDEX =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_CARRIER_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ Carrier Index",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngSchedulingRequestWithoutHARQIndex,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT:NPR:CIND",
  /* integerDefault     = */RSCMWINS_VAL_SCHED_REQ_INDEX_ZERO,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_RESOURCE_INDEX =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_RESOURCE_INDEX,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ Resource Index",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngSchedulingRequestWithoutHARQResourceIndex,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT:NPR:RIND",
  /* integerDefault     = */RSCMWINM_VAL_SCH_REQ_RESOURCE_INDEX_ONE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SR =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SR,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ SR",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_REAL64,
  /* rangeTable         = */&rscmwins_rngSchedulingRequestWithoutHARQSR,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT:NPR:PSR",
  /* integerDefault     = */0,
  /* doubleDefault      = */-104,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ Subcarrier Index Format",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngSchedReqWithoutHARQSubcarrierIndexFormat,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT:NPR:SCIN:FMT",
  /* integerDefault     = */RSCMWINS_VAL_SCHED_REQ_WITOUT_HARQ_SUBC_INDEX_FORMAT_FT01,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT_VALUE =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT_VALUE,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request Without HARQ Subcarrier Index Format Value",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngSchedReqWithoutHARQSubcrIndexFormValue,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:HARQ:WOUT:NPR:SCIN:FMT:VAL",
  /* integerDefault     = */20,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SCHEDULING_REQUEST_NO_RESPONSE_TO_SR_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_SCHEDULING_REQUEST_NO_RESPONSE_TO_SR_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"Scheduling Request No Response To SR Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CONN:SREQ:NRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_INITIATE_BLER_MEASUREMENT =
{
  /* constant           = */RSCMWINS_ATTR_INITIATE_BLER_MEASUREMENT,
#if defined (_DEBUG)
  /* debug name         = */"Initiate BLER Measurement",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"INIT:NIOT:SIGN{instance}:BLER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_STOP_BLER_MEASUREMENT =
{
  /* constant           = */RSCMWINS_ATTR_STOP_BLER_MEASUREMENT,
#if defined (_DEBUG)
  /* debug name         = */"Stop BLER Measurement",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"STOP:NIOT:SIGN{instance}:BLER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_ABORT_BLER_MEASUREMENT =
{
  /* constant           = */RSCMWINS_ATTR_ABORT_BLER_MEASUREMENT,
#if defined (_DEBUG)
  /* debug name         = */"Abort BLER Measurement",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"ABOR:NIOT:SIGN{instance}:BLER",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_QUERY_BLER_STATE =
{
  /* constant           = */RSCMWINS_ATTR_QUERY_BLER_STATE,
#if defined (_DEBUG)
  /* debug name         = */"Query BLER State",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngBLERState,
  /* command            = */"FETC:NIOT:SIGN{instance}:BLER:STAT?",
  /* integerDefault     = */RSCMWINS_VAL_BLER_STATE_OFF,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_BLER_TIMEOUT =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_BLER_TIMEOUT,
#if defined (_DEBUG)
  /* debug name         = */"Configure BLER Timeout",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:BLER:TOUT",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_BLER_REPETITION =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_BLER_REPETITION,
#if defined (_DEBUG)
  /* debug name         = */"Configure BLER Repetition",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngBLERRepetition,
  /* command            = */"CONF:NIOT:SIGN{instance}:BLER:REP",
  /* integerDefault     = */RSCMWINS_VAL_BLER_REPETITION_SINGLE,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_BLER_SAMPLES =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_BLER_SAMPLES,
#if defined (_DEBUG)
  /* debug name         = */"Configure BLER Samples",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngBLERSamples,
  /* command            = */"CONF:NIOT:SIGN{instance}:BLER:SAMP",
  /* integerDefault     = */100,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_CONFIGURE_BLER_ALGORITHM =
{
  /* constant           = */RSCMWINS_ATTR_CONFIGURE_BLER_ALGORITHM,
#if defined (_DEBUG)
  /* debug name         = */"Configure BLER Algorithm",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngBLERAlgorithm,
  /* command            = */"CONF:NIOT:SIGN{instance}:BLER:ERC",
  /* integerDefault     = */RSCMWINS_VAL_BLER_ALGORITHM_ERC1,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_EDT_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_EDT_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"EDT Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:EDT:ENAB:CPED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_EDT_RESOURCE_NUMBERS =
{
  /* constant           = */RSCMWINS_ATTR_EDT_RESOURCE_NUMBERS,
#if defined (_DEBUG)
  /* debug name         = */"EDT Resource Numbers",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_INT32,
  /* rangeTable         = */&rscmwins_rngEDTResourceNumbers,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:EDT:ENAB:TBS:VAL",
  /* integerDefault     = */RSCMWINS_VAL_EDT_RESOURCE_NUMBERS_B328,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_EDT_USER_PLAN_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_EDT_USER_PLAN_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"EDT User Plan Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:EDT:ENAB:UPED",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_EDT_SMALL_TBS_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_EDT_SMALL_TBS_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"EDT Small TBS Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:EDT:SMAL:ENAB:TBS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_EDT_SMALL_TBS_SUBSET_ENABLED =
{
  /* constant           = */RSCMWINS_ATTR_EDT_SMALL_TBS_SUBSET_ENABLED,
#if defined (_DEBUG)
  /* debug name         = */"EDT Small TBS Subset Enabled",
#endif
  /* access             = */RS_VAL_READ_WRITE,
  /* dataType           = */RS_VAL_BOOLEAN,
  /* rangeTable         = */NULL,
  /* command            = */"CONF:NIOT:SIGN{instance}:CELL:EDT:SMAL:ENAB:TBS:SUBS",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_TRUE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SYSTEM_VERSION =
{
  /* constant           = */RSCMWINS_ATTR_SYSTEM_VERSION,
#if defined (_DEBUG)
  /* debug name         = */"System Version",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:VERSion?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"version",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SYSTEM_ERROR =
{
  /* constant           = */RSCMWINS_ATTR_SYSTEM_ERROR,
#if defined (_DEBUG)
  /* debug name         = */"System Error",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERRor?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"error",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SYSTEM_ALL_ERRORS =
{
  /* constant           = */RSCMWINS_ATTR_SYSTEM_ALL_ERRORS,
#if defined (_DEBUG)
  /* debug name         = */"System All Errors",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:ERR:ALL?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"error",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_ATTR_SYSTEM_PRESET =
{
  /* constant           = */RSCMWINS_ATTR_SYSTEM_PRESET,
#if defined (_DEBUG)
  /* debug name         = */"System Preset",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"SYST:PRES",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS =
{
  /* constant           = */RSCMWINS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
#if defined (_DEBUG)
  /* debug name         = */"Process All Previous Commands",
#endif
  /* access             = */RS_VAL_WRITE_ONLY,
  /* dataType           = */RS_VAL_EVENT,
  /* rangeTable         = */NULL,
  /* command            = */"*WAI",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */NULL,
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};

RsCoreAttribute  g_RSCMWINS_ATTR_ID_QUERY_RESPONSE =
{
  /* constant           = */RSCMWINS_ATTR_ID_QUERY_RESPONSE,
#if defined (_DEBUG)
  /* debug name         = */"ID Query Response",
#endif
  /* access             = */RS_VAL_READ_ONLY,
  /* dataType           = */RS_VAL_STRING,
  /* rangeTable         = */NULL,
  /* command            = */"*IDN?",
  /* integerDefault     = */0,
  /* doubleDefault      = */0.0,
  /* booleanDefault     = */VI_FALSE,
  /* stringDefault      = */"idq",
  /* sessionDefault     = */0,
  /* comparePrecision   = */0.001,
  /* readCallback       = */(RsCoreReadAttrCallback)NULL,
  /* writeCallback      = */(RsCoreWriteAttrCallback)NULL,
  /* checkCallback      = */(RsCoreCheckAttrCallback)NULL,
  /* checkStatusCallback      = */(RsCoreCheckStatusAttrCallback)NULL,
  /* coerceCallback     = */(RsCoreCoerceAttrCallback)NULL,
  /* rngTableCallback   = */(RsCoreRangeTableAttrCallback)NULL,
  /* userCallback       = */(RsCoreUserAttrCallback)NULL,
  /* flags              = */0,
  /* supportedModels    = */NULL,
  /* instrumentOptions  = */NULL,
  /* p2value            = */NULL,
  /* usercaps           = */VI_FALSE
};


/*****************************************************************************
 *- Attributes List ---------------------------------------------------------*
 *****************************************************************************/

RsCoreAttributePtr rscmwins_RsCoreAttributeList[] =
{
&g_RSCMWINS_RS_ATTR_RANGE_CHECK,
&g_RSCMWINS_RS_ATTR_QUERY_INSTRUMENT_STATUS,
&g_RSCMWINS_RS_ATTR_CACHE,
&g_RSCMWINS_RS_ATTR_SIMULATE,
&g_RSCMWINS_RS_ATTR_RECORD_COERCIONS,
&g_RSCMWINS_RS_ATTR_INTERCHANGE_CHECK,
&g_RSCMWINS_RS_ATTR_SPY,
&g_RSCMWINS_RS_ATTR_USE_SPECIFIC_SIMULATION,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_DESCRIPTION,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_PREFIX,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_VENDOR,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_REVISION,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_DESCRIPTION,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_PREFIX,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_LOCATOR,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_VENDOR,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_REVISION,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MAJOR_VERSION,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_CLASS_SPEC_MINOR_VERSION,
&g_RSCMWINS_RS_ATTR_SUPPORTED_INSTRUMENT_MODELS,
&g_RSCMWINS_RS_ATTR_GROUP_CAPABILITIES,
&g_RSCMWINS_RS_ATTR_FUNCTION_CAPABILITIES,
&g_RSCMWINS_RS_ATTR_CHANNEL_COUNT,
&g_RSCMWINS_RS_ATTR_DRIVER_SETUP,
&g_RSCMWINS_RS_ATTR_INSTRUMENT_MANUFACTURER,
&g_RSCMWINS_RS_ATTR_INSTRUMENT_MODEL,
&g_RSCMWINS_RS_ATTR_INSTRUMENT_FIRMWARE_REVISION,
&g_RSCMWINS_RS_ATTR_OPTIONS_LIST,
&g_RSCMWINS_RS_ATTR_IO_RESOURCE_DESCRIPTOR,
&g_RSCMWINS_RS_ATTR_LOGICAL_NAME,
&g_RSCMWINS_RS_ATTR_PRIMARY_ERROR,
&g_RSCMWINS_RS_ATTR_SECONDARY_ERROR,
&g_RSCMWINS_RS_ATTR_ERROR_ELABORATION,
&g_RSCMWINS_RS_ATTR_VISA_RM_SESSION,
&g_RSCMWINS_RS_ATTR_IO_SESSION,
&g_RSCMWINS_RS_ATTR_IO_SESSION_TYPE,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MAJOR_VERSION,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MINOR_VERSION,
&g_RSCMWINS_RS_ATTR_SPECIFIC_DRIVER_MINOR_MINOR_VERSION,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_MAJOR_VERSION,
&g_RSCMWINS_RS_ATTR_CLASS_DRIVER_MINOR_VERSION,
&g_RSCMWINS_RS_ATTR_ENGINE_MAJOR_VERSION,
&g_RSCMWINS_RS_ATTR_ENGINE_MINOR_VERSION,
&g_RSCMWINS_RS_ATTR_ENGINE_REVISION,
&g_RSCMWINS_RS_ATTR_OPC_CALLBACK,
&g_RSCMWINS_RS_ATTR_CHECK_STATUS_CALLBACK,
&g_RSCMWINS_RS_ATTR_OPC_TIMEOUT,
&g_RSCMWINS_ATTR_CONFIGURE_GENERATOR_STATE,
&g_RSCMWINS_ATTR_QUERY_RRC_STATE,
&g_RSCMWINS_ATTR_RRC_RELEASE_CAUSE,
&g_RSCMWINS_ATTR_CONFIGURE_PS_ACTION,
&g_RSCMWINS_ATTR_QUERY_PS_STATE,
&g_RSCMWINS_ATTR_SCENARIO_CATALOG,
&g_RSCMWINS_ATTR_SCENARIO_ACTIVE,
&g_RSCMWINS_ATTR_CLEAN_EVENT_LOG,
&g_RSCMWINS_ATTR_QUERY_UE_INFO_IMEI,
&g_RSCMWINS_ATTR_QUERY_UE_INFO_IMSI,
&g_RSCMWINS_ATTR_QUERY_UE_INFO_DEFAULT_BEARERS_CATALOG,
&g_RSCMWINS_ATTR_QUERY_UE_INFO_ASSIGNED_IP_ADDRESSES,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INACTIVITY_MONITOR,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE_ASSISTANCE_INDICATION,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_TONE,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_USER_PLANE_C_IOT_OPTIMIZATION,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TRANSFER_CATEGORY,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_DRB,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_PAGING,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MAX_ROHC_CONTEXT_SESSIONS,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_ROHC_PROFILES,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_REFERENCE_ROHC_PROFILE_NAMES,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_INTERFERENCE_RANDOMIZATION,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_UE_SUPPORTS_MULTI_CARRIER,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTI_CARRIER_NPRACH,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_NPUSCH_MULTI_TONE,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_TWO_HARQ_PROCESSES,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_RELEASE,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_MULTIPLE_NS_PMAX,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_POWER_CLASS_14_DBM,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WAKE_UP_SIGNAL,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_PAGING_WUS_MIN_GAP,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_EARLY_DATA_UP,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITH_HARQ,
&g_RSCMWINS_ATTR_QUERY_UE_CAPABILITIES_SR_WITHOUT_HARQ,
&g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_ENABLED,
&g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_INDEX,
&g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRP_RANGE,
&g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_INDEX,
&g_RSCMWINS_ATTR_UE_MEASUREMENT_REPORT_RSRQ_RANGE,
&g_RSCMWINS_ATTR_CONFIGURE_RF_OUTPUT_ATTENUATION,
&g_RSCMWINS_ATTR_CONFIGURE_RF_INPUT_ATTENUATION,
&g_RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_INPUT,
&g_RSCMWINS_ATTR_CONFIGURE_RF_EXTERNAL_TIME_DELAY_OUTPUT,
&g_RSCMWINS_ATTR_CONFIGURE_RF_SIGNAL_OPERATING_BAND,
&g_RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_DL,
&g_RSCMWINS_ATTR_CONFIGURE_RF_CHANNEL_UL,
&g_RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_DL,
&g_RSCMWINS_ATTR_CONFIGURE_RF_FREQUENCY_OFFSET_UL,
&g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_MODE,
&g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_POWER,
&g_RSCMWINS_ATTR_CONFIGURE_RF_ENP_USER_MARGIN,
&g_RSCMWINS_ATTR_CONFIGURE_RF_MIXER_LEVEL_OFFSET,
&g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_CHANNEL_UL_MAXIMUM,
&g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_DL_MAXIMUM,
&g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MAXIMUM,
&g_RSCMWINS_ATTR_QUERY_RF_USER_DEFINED_FREQUENCY_UL_MINIMUM,
&g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_NRS_EPRE,
&g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_OCNG,
&g_RSCMWINS_ATTR_CONFIGURE_DL_POWER_AWGN,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_NOMINAL_POWER,
&g_RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPRACH_PREAMBLE_POWER,
&g_RSCMWINS_ATTR_QUERY_UL_POWER_CONTROL_NPUSCH_FORMAT_POWER,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_CONTROL_MAXIMUM_UE_POWER,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_NRS_POWER,
&g_RSCMWINS_ATTR_QUERY_UL_POWER_ADVANCED_PATHLOSS,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PIR_TARGET_POWER,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_P0_NOMINAL_NPUSCH,
&g_RSCMWINS_ATTR_CONFIGURE_UL_POWER_ADVANCED_PATHLOSS_COMPENSATION_ALPHA,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_DUPLEX_MODE,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_SUBCARRIER_SPACING,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ID,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_OPERATION_MODE,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_ENABLE_FLEXIBLE_UL_DL_SEPARATION,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_BANDWIDTH,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CONTROL_REGION_SIZE,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_PCI,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_CARRIER_POSITION,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_INBAND_UPLINK_CARRIER_POSITION,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_POSITION,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_GUARD_BAND_UPLINK_POSITION,
&g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_DL,
&g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_LTE_FREQUENCY_UL,
&g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_DL,
&g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CHANNEL_RASTER_OFFSET_UL,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_NO_RESPONSE_TO_PREAMBLES,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_POWER_RAMPING,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_PREAMBLE_FORMAT,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_MAX_TRANSMISSIONS,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NUMBER_OF_THRESHOLD,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_0,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_1,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_REPETITIONS_PER_PREAMBLE_2,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_0,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_1,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_NPDCCH_MAX_REPETITIONS_2,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_1,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_CE_RSRP_THRESHOLD_2,
&g_RSCMWINS_ATTR_QUERY_PHYSICAL_CELL_CE_LEVEL_REPORT,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_DISABLE_PAGING,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_MAX_DURATION_FACTOR,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NUM_POS,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_FIRST_PO_POSITION,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_NO_OF_DRX_CYCLES_RELAXED,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_DRX,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_SHORT,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_PHYSICAL_CELL_WUS_TIME_OFFSET_EDRX_LONG,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MCC,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC_DIGITS,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_MNC,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_TAC,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_CID_EUTRAN,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_IDENTITY_UE_IMSI,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_AUTHENTICATION,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_ALGORITHM,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_SECRET_KEY,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_MILENAGE,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SECURITY_OPC,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_OUT_OF_SYNC,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3324_VALUE,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_T3412_VALUE,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIMER_ADDITIONAL_T3412,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_DAYLIGHT_SAVING_TIME_VALUE,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_LOCAL_TIME_ZONE_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_TIME,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SEND_NOW,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_TIME_SOURCE,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_ZONE,
&g_RSCMWINS_ATTR_CONFIGURE_NETWORK_SYNC_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CONNECTION_TYPE,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_TEST_MODE_IP_VERSION,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_C_IOT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DATA_APPLICATION_MODE_IP_VERSION,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_IP_ADDRESS,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DESTINATION_SERVER_PORT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_KEEP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_TIMER,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_SCHEDULING_TYPE,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_DEFAULT_PAGING_CYCLE,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PCCH_CONFIG_NB,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_MODIFICATION_PERIOD_COEFFICIENT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PSM_ALLOWED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_IDLE_MODE,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_TIME_WINDOW,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_CYCLE_LENGTH,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_RRC_ALLOW_PAGING_AFTER_SI_TRANSMISSION,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_INTERFERENCE_RANDOMIZATION,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_GENERAL_PAGING_COLLISION_REPORT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_USER_PATTERN,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_MAX_NUMBER_OF_TRANSMISSIONS,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_HARQ_PROCESSES,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_CHANNEL_FREQUENCY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_UL_CHANNEL_FREQUENCY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_BITMAP_EXPLICIT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_DL_GAP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_THRESHOLD,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_PERIODICITY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_GAP_DURATION_COEFFICIENT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_13_NRS_POWER_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_WEIGHT_ANCHOR_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_FREQUENCY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_CHANNEL_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_BITMAP_EXPLICIT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_DL_GAP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_THRESHOLD,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_PERIODICITY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_GAP_DURATION_COEFFICIENT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_NRS_POWER_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_NUM_OF_REPETITIONS,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_PCCH_PAGING_WEIGHT_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_WUS_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_1_MAX_DURATION_FACTOR,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_FREQUENCY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_CHANNEL_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_BITMAP_EXPLICIT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_DL_GAP,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_THRESHOLD,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_PERIODICITY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_GAP_DURATION_COEFFICIENT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_NRS_POWER_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_NUM_OF_REPETITIONS,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_PCCH_PAGING_WEIGHT_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_WUS_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_PAGING_CARRIER_2_MAX_DURATION_FACTOR,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_NPRACH_PROBABILITY_ANCHOR,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_1_RACH_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_FREQUENCY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_1_UL_CHANNEL_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_CARRIER_2_RACH_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_FREQUENCY,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NAC_14_RACH_CARRIER_2_UL_CHANNEL_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_MAX_NO_REPETITIONS_RMAX,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_NO_REPETITIONS,
&g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_NO_REPETITIONS,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_START_SF,
&g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_PERIOD,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_OFFSET,
&g_RSCMWINS_ATTR_QUERY_CONNECTION_NPDCCH_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_NPDCCH_CSS_MAX_NO_REPETITIONS_RMAX,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ENABLED,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_ON_DURATION_TIMER,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_INACTIVITY_TIMER,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_RETRANSMISSION_TIMER,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_CYCLE,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_START_OFFSET,
&g_RSCMWINS_ATTR_CONFIGURE_CONNECTION_CONNECTED_DRX_UL_RETRANS_TIMER,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITH_HARQ,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_ALPHA,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_CARRIER_INDEX,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_RESOURCE_INDEX,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SR,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_WITHOUT_HARQ_SUBCARRIER_INDEX_FORMAT_VALUE,
&g_RSCMWINS_ATTR_SCHEDULING_REQUEST_NO_RESPONSE_TO_SR_ENABLED,
&g_RSCMWINS_ATTR_INITIATE_BLER_MEASUREMENT,
&g_RSCMWINS_ATTR_STOP_BLER_MEASUREMENT,
&g_RSCMWINS_ATTR_ABORT_BLER_MEASUREMENT,
&g_RSCMWINS_ATTR_QUERY_BLER_STATE,
&g_RSCMWINS_ATTR_CONFIGURE_BLER_TIMEOUT,
&g_RSCMWINS_ATTR_CONFIGURE_BLER_REPETITION,
&g_RSCMWINS_ATTR_CONFIGURE_BLER_SAMPLES,
&g_RSCMWINS_ATTR_CONFIGURE_BLER_ALGORITHM,
&g_RSCMWINS_ATTR_EDT_ENABLED,
&g_RSCMWINS_ATTR_EDT_RESOURCE_NUMBERS,
&g_RSCMWINS_ATTR_EDT_USER_PLAN_ENABLED,
&g_RSCMWINS_ATTR_EDT_SMALL_TBS_ENABLED,
&g_RSCMWINS_ATTR_EDT_SMALL_TBS_SUBSET_ENABLED,
&g_RSCMWINS_ATTR_SYSTEM_VERSION,
&g_RSCMWINS_ATTR_SYSTEM_ERROR,
&g_RSCMWINS_ATTR_SYSTEM_ALL_ERRORS,
&g_RSCMWINS_ATTR_SYSTEM_PRESET,
&g_RSCMWINS_ATTR_PROCESS_ALL_PREVIOUS_COMMANDS,
&g_RSCMWINS_ATTR_ID_QUERY_RESPONSE,

NULL
};
